<?php

//rejestrujemy sidebary na widgety
function zwp_init_widgets()
{
    $args = array(
        'name' => 'Panel boczny',
        'id' => 'identyfikator-panelu-bocznego',
        'description' => 'Opis panelu bocznego powtarzającego się na różnych stronach',
        'class' => '',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widget_title">',
        'after_title' => '</h3>');
    register_sidebar($args);
}
add_action('widgets_init', "zwp_init_widgets");

//Podczepiamy style i skrypty
function zwp_add_scripts_and_styles() {
    wp_enqueue_style( 'zwp-first-css', get_stylesheet_uri() );
    wp_enqueue_style( 'zwp-second-css', get_template_directory_uri() . '/css/second.css');
    wp_enqueue_script( 'script-name', get_template_directory_uri() . '/js/script.js', array(), '1.0.0', true );
}
add_action( 'wp_enqueue_scripts', 'zwp_add_scripts_and_styles' );

//rejestruję menu główne
function zwp_add_menu() {
    register_nav_menu( 'main-menu', 'Menu główne' );
}

add_action('init','zwp_add_menu');